Debian Bug report logs - #547447
RM: boost1.38 -- ROM; Obsoleted by Boost 1.40

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: "Steve M. Robbins" <smr@debian.org>

Date: Sat, 19 Sep 2009 20:27:40 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Sat, 19 Sep 2009 20:27:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <smr@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 19 Sep 2009 20:27:43 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <smr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: boost1.38 -- ROM; Obsoleted by Boost 1.40
Date: Sat, 19 Sep 2009 15:10:37 -0500
Package: ftp.debian.org
Severity: normal

Hi,

Boost 1.40 is now in the debian archive, so it is time to remove 1.38.

I sent email to the maintainers of the packages that build-depend on
boost1.38 packages [1].  One package has been uploaded with
unversioned boost dependencies, so only four are left: cegui-mk2,
debian-xcontrol, mapnik, and witty.  These will FTBFS when boost1.38
is removed.

-Steve

[1] http://lists.debian.org/debian-release/2009/09/msg00167.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Sun, 20 Sep 2009 13:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 20 Sep 2009 13:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 547447@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: "Steve M. Robbins" <smr@debian.org>, 547447@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#547447: RM: boost1.38 -- ROM; Obsoleted by Boost 1.40
Date: Sun, 20 Sep 2009 14:34:25 +0100
tag 547447 +moreinfo
thanks

On Sat, 19, Sep, 2009 at 03:10:37PM -0500, Steve M. Robbins spoke thus..
> Package: ftp.debian.org
> Severity: normal
> 
> Hi,
> 
> Boost 1.40 is now in the debian archive, so it is time to remove 1.38.
> 
> I sent email to the maintainers of the packages that build-depend on
> boost1.38 packages [1].  One package has been uploaded with
> unversioned boost dependencies, so only four are left: cegui-mk2,
> debian-xcontrol, mapnik, and witty.  These will FTBFS when boost1.38
> is removed.

As well as build-deps, the following dependencies will break.  Below is the dak
rm dependency check output.  Once most of these packages are fixed, please
remove the moreinfo tag and we'll take another look.

dak rm -p -d 547447 -R -C package -m "ROM; Obsoleted by Boost 1.40" boost1.38

Working... done.
Will remove the following packages from unstable:

 boost1.38 |   1.38.0-7 | source
libboost-date-time1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-date-time1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-filesystem1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-filesystem1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-graph1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-graph1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-iostreams1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-iostreams1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-math1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-math1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-mpi1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-mpi1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-program-options1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-program-options1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-python1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-python1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-regex1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-regex1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-serialization1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-serialization1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-signals1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-signals1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-system1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-system1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-test1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-test1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-thread1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-thread1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-wave1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-wave1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost1.38-dbg | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost1.38-doc |   1.38.0-7 | all

Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Will also close bugs: 547447
Will also send CCs to: boost1.38@packages.debian.org, boost1.38@packages.qa.debian.org

------------------- Reason -------------------
ROM; Obsoleted by Boost 1.40
----------------------------------------------

Checking reverse dependencies...
# Broken Depends:
akonadi: akonadi-server [hppa mips mipsel]
         libakonadiprivate1 [hppa mips mipsel]
asc: asc [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
avogadro: libavogadro0 [alpha amd64 hppa i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
bfilter: bfilter [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
         bfilter-gui [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
cgal/non-free: libcgal-dev [ia64 mips mipsel powerpc]
               libcgal3 [ia64 mips mipsel powerpc]
dammit: dammit [alpha amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
dc-qt: dc-qt [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
dvswitch: dvswitch [alpha amd64 hppa i386 mips mipsel powerpc s390 sparc]
encfs: encfs [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
esperanza: esperanza [alpha amd64 armel hppa i386 ia64 mips powerpc s390 sparc]
framewave: libfwbase1 [amd64 i386]
fusecompress: fusecompress [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
glob2: glob2 [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
gnash: gnash-common [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
       gnash-common-opengl [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
       gnash-cygnal [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
gnote: gnote [alpha amd64 armel hppa i386 ia64 mips powerpc s390 sparc]
gpsdrive: gpsdrive [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
k3d: k3d [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
keysafe: keysafe [hppa mipsel sparc]
liborigin2: liborigin2-1 [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
luxrender: luxrender [i386]
lyx: lyx [hppa i386 mips mipsel]
mapnik: libmapnik-dev
        libmapnik0.6 [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
        mapnik-utils [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
        python-mapnik [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
miro: miro [alpha amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
mkvtoolnix: mkvtoolnix [alpha amd64 hppa i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
            mkvtoolnix-gui [alpha amd64 hppa i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
mrpt: mrpt-apps [amd64 armel hppa i386 ia64 mips mipsel powerpc sparc]
peless: peless [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
performous: performous [alpha amd64 hppa i386 mips mipsel powerpc s390 sparc]
            performous-tools [alpha amd64 hppa i386 mips mipsel powerpc s390 sparc]
pingus: pingus [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
pokerth: pokerth [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
         pokerth-server [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
polybori: python-polybori [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
promoe: promoe [alpha armel hppa i386 ia64 mips mipsel sparc]
python-visual: python-visual [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
pythonmagick: python-pythonmagick [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
qbittorrent: qbittorrent [mips]
quantlib: libquantlib0-dev [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
qutecom: qutecom [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
referencer: referencer [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
regina-normal: regina-normal [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc sparc]
schroot: dchroot [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
         dchroot-dsa [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
         schroot [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
sfftobmp: sfftobmp [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
sofa-framework: libsofa1 [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
                sofa-apps [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
source-highlight: source-highlight [hppa mips mipsel]
twinkle: twinkle [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
witty: witty [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
xsd: xsdcxx [alpha amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc sparc]

# Broken Build-Depends:
cegui-mk2: libboost-regex1.38-dev
           libboost-signals1.38-dev
mapnik: libboost-filesystem1.38-dev
        libboost-iostreams1.38-dev
        libboost-program-options1.38-dev
        libboost-python1.38-dev
        libboost-regex1.38-dev
        libboost-system1.38-dev
        libboost-thread1.38-dev
witty: libboost-date-time1.38-dev (>= 1.38.0)
       libboost-filesystem1.38-dev (>= 1.38.0)
       libboost-program-options1.38-dev (>= 1.38.0)
       libboost-regex1.38-dev (>= 1.38.0)
       libboost-signals1.38-dev (>= 1.38.0)
       libboost-thread1.38-dev (>= 1.38.0)
       libboost1.38-dev (>= 1.38.0)

Dependency problem found.
Continue (y/N)? n
Aborted.

-- 
Mark Hymers <mhy at debian dot org>

"I told you I was ill"
     The epitaph of Spike Milligan (1918-2002)




Added tag(s) moreinfo. Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sun, 20 Sep 2009 13:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Sun, 20 Sep 2009 14:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 20 Sep 2009 14:00:10 GMT) Full text and rfc822 format available.

Message #17 received at 547447@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: "Steve M. Robbins" <smr@debian.org>
Cc: 547447@bugs.debian.org
Subject: Re: Bug#547447: RM: boost1.38 -- ROM; Obsoleted by Boost 1.40
Date: Sun, 20 Sep 2009 15:53:42 +0200
Mark Hymers wrote:
> tag 547447 +moreinfo
> thanks
> 
> On Sat, 19, Sep, 2009 at 03:10:37PM -0500, Steve M. Robbins spoke thus..

>> I sent email to the maintainers of the packages that build-depend on
>> boost1.38 packages [1].  One package has been uploaded with
>> unversioned boost dependencies, so only four are left: cegui-mk2,
>> debian-xcontrol, mapnik, and witty.  These will FTBFS when boost1.38
>> is removed.
> 
> As well as build-deps, the following dependencies will break.  Below is the dak
> rm dependency check output.  Once most of these packages are fixed, please
> remove the moreinfo tag and we'll take another look.

Is it enough for all the ones that do not build depend on boost 1.38 to
rebuild them to get them depend on boost1.40?

Cheers

Luk

> dak rm -p -d 547447 -R -C package -m "ROM; Obsoleted by Boost 1.40" boost1.38
> 
> Working... done.
> Will remove the following packages from unstable:
> 
>  boost1.38 |   1.38.0-7 | source
> libboost-date-time1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-date-time1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-filesystem1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-filesystem1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-graph1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-graph1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-iostreams1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-iostreams1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-math1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-math1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-mpi1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-mpi1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-program-options1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-program-options1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-python1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-python1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-regex1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-regex1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-serialization1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-serialization1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-signals1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-signals1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-system1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-system1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-test1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-test1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-thread1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-thread1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-wave1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost-wave1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost1.38-dbg | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> libboost1.38-doc |   1.38.0-7 | all
> 
> Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
> Will also close bugs: 547447
> Will also send CCs to: boost1.38@packages.debian.org, boost1.38@packages.qa.debian.org
> 
> ------------------- Reason -------------------
> ROM; Obsoleted by Boost 1.40
> ----------------------------------------------
> 
> Checking reverse dependencies...
> # Broken Depends:
> akonadi: akonadi-server [hppa mips mipsel]
>          libakonadiprivate1 [hppa mips mipsel]
> asc: asc [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> avogadro: libavogadro0 [alpha amd64 hppa i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> bfilter: bfilter [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
>          bfilter-gui [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
> cgal/non-free: libcgal-dev [ia64 mips mipsel powerpc]
>                libcgal3 [ia64 mips mipsel powerpc]
> dammit: dammit [alpha amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> dc-qt: dc-qt [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> dvswitch: dvswitch [alpha amd64 hppa i386 mips mipsel powerpc s390 sparc]
> encfs: encfs [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> esperanza: esperanza [alpha amd64 armel hppa i386 ia64 mips powerpc s390 sparc]
> framewave: libfwbase1 [amd64 i386]
> fusecompress: fusecompress [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
> glob2: glob2 [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> gnash: gnash-common [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
>        gnash-common-opengl [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
>        gnash-cygnal [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
> gnote: gnote [alpha amd64 armel hppa i386 ia64 mips powerpc s390 sparc]
> gpsdrive: gpsdrive [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
> k3d: k3d [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> keysafe: keysafe [hppa mipsel sparc]
> liborigin2: liborigin2-1 [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> luxrender: luxrender [i386]
> lyx: lyx [hppa i386 mips mipsel]
> mapnik: libmapnik-dev
>         libmapnik0.6 [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
>         mapnik-utils [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
>         python-mapnik [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
> miro: miro [alpha amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> mkvtoolnix: mkvtoolnix [alpha amd64 hppa i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
>             mkvtoolnix-gui [alpha amd64 hppa i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> mrpt: mrpt-apps [amd64 armel hppa i386 ia64 mips mipsel powerpc sparc]
> peless: peless [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> performous: performous [alpha amd64 hppa i386 mips mipsel powerpc s390 sparc]
>             performous-tools [alpha amd64 hppa i386 mips mipsel powerpc s390 sparc]
> pingus: pingus [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
> pokerth: pokerth [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
>          pokerth-server [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> polybori: python-polybori [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> promoe: promoe [alpha armel hppa i386 ia64 mips mipsel sparc]
> python-visual: python-visual [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> pythonmagick: python-pythonmagick [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> qbittorrent: qbittorrent [mips]
> quantlib: libquantlib0-dev [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> qutecom: qutecom [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc s390 sparc]
> referencer: referencer [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> regina-normal: regina-normal [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc sparc]
> schroot: dchroot [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
>          dchroot-dsa [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
>          schroot [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> sfftobmp: sfftobmp [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> sofa-framework: libsofa1 [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
>                 sofa-apps [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> source-highlight: source-highlight [hppa mips mipsel]
> twinkle: twinkle [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> witty: witty [alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc]
> xsd: xsdcxx [alpha amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc sparc]
> 
> # Broken Build-Depends:
> cegui-mk2: libboost-regex1.38-dev
>            libboost-signals1.38-dev
> mapnik: libboost-filesystem1.38-dev
>         libboost-iostreams1.38-dev
>         libboost-program-options1.38-dev
>         libboost-python1.38-dev
>         libboost-regex1.38-dev
>         libboost-system1.38-dev
>         libboost-thread1.38-dev
> witty: libboost-date-time1.38-dev (>= 1.38.0)
>        libboost-filesystem1.38-dev (>= 1.38.0)
>        libboost-program-options1.38-dev (>= 1.38.0)
>        libboost-regex1.38-dev (>= 1.38.0)
>        libboost-signals1.38-dev (>= 1.38.0)
>        libboost-thread1.38-dev (>= 1.38.0)
>        libboost1.38-dev (>= 1.38.0)
> 
> Dependency problem found.
> Continue (y/N)? n
> Aborted.
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Sun, 20 Sep 2009 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 20 Sep 2009 20:45:06 GMT) Full text and rfc822 format available.

Message #22 received at 547447@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Luk Claes <luk@debian.org>
Cc: 547447@bugs.debian.org
Subject: Re: Bug#547447: RM: boost1.38 -- ROM; Obsoleted by Boost 1.40
Date: Sun, 20 Sep 2009 15:40:11 -0500
[Message part 1 (text/plain, inline)]
On Sun, Sep 20, 2009 at 03:53:42PM +0200, Luk Claes wrote:
> Mark Hymers wrote:
> > tag 547447 +moreinfo
> > thanks
> > 
> > On Sat, 19, Sep, 2009 at 03:10:37PM -0500, Steve M. Robbins spoke thus..
> 
> >> I sent email to the maintainers of the packages that build-depend on
> >> boost1.38 packages [1].  One package has been uploaded with
> >> unversioned boost dependencies, so only four are left: cegui-mk2,
> >> debian-xcontrol, mapnik, and witty.  These will FTBFS when boost1.38
> >> is removed.
> > 
> > As well as build-deps, the following dependencies will break.  Below is the dak
> > rm dependency check output.  Once most of these packages are fixed, please
> > remove the moreinfo tag and we'll take another look.
> 
> Is it enough for all the ones that do not build depend on boost 1.38 to
> rebuild them to get them depend on boost1.40?

Yes, I should have mentioned this.  The dependent packages you
identified should be rebuilt to remove the dependency on 1.38.  At the
moment, boost-default points to 1.39, so the rebuilt packages would
depend on 1.39.  

In about a week or so, I expect to flip boost-default to 1.40.  Maybe
we should wait for this to happen before the rebuild, so that we
jump to 1.40.


Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Mon, 05 Oct 2009 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 05 Oct 2009 04:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 547447@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 547447@bugs.debian.org
Cc: Luk Claes <luk@debian.org>
Subject: Removing boost1.38
Date: Sun, 4 Oct 2009 22:56:43 -0500
[Message part 1 (text/plain, inline)]
Hi,

The largest impediment to removing boost 1.38 is that all its
rdeps need to be recompiled.  The current default boost is 1.40.

I've just uploaded 1.40.0-2, but it has a new component so it has to
pass through NEW again.  Once done, and built on all architectures,
this should be the one used to rebuild the boost rdeps.

Luk: can you make that happen?

Thanks,
-Steve


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Sat, 31 Oct 2009 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 31 Oct 2009 14:18:04 GMT) Full text and rfc822 format available.

Message #32 received at 547447@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 547447@bugs.debian.org
Subject: Re: Removing boost1.38
Date: Sat, 31 Oct 2009 15:07:30 +0100
Steve M. Robbins wrote:
> Hi,
> 
> The largest impediment to removing boost 1.38 is that all its
> rdeps need to be recompiled.  The current default boost is 1.40.
> 
> I've just uploaded 1.40.0-2, but it has a new component so it has to
> pass through NEW again.  Once done, and built on all architectures,
> this should be the one used to rebuild the boost rdeps.
> 
> Luk: can you make that happen?

Most of them already happened in the mean time, did the rest now.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Sun, 01 Nov 2009 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 01 Nov 2009 17:48:07 GMT) Full text and rfc822 format available.

Message #37 received at 547447@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Luk Claes <luk@debian.org>, 547447@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Removing boost1.38
Date: Sun, 1 Nov 2009 11:40:53 -0600
[Message part 1 (text/plain, inline)]
tag 547447 -moreinfo
thanks

On Sat, Oct 31, 2009 at 03:07:30PM +0100, Luk Claes wrote:
> Steve M. Robbins wrote:
> > Hi,
> > 
> > The largest impediment to removing boost 1.38 is that all its
> > rdeps need to be recompiled.  The current default boost is 1.40.
> > 
> > I've just uploaded 1.40.0-2, but it has a new component so it has to
> > pass through NEW again.  Once done, and built on all architectures,
> > this should be the one used to rebuild the boost rdeps.
> > 
> > Luk: can you make that happen?
> 
> Most of them already happened in the mean time, did the rest now.

OK, so can we try removing 1.38 now?

Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Sun, 01 Nov 2009 17:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Sun, 01 Nov 2009 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 01 Nov 2009 19:06:03 GMT) Full text and rfc822 format available.

Message #44 received at 547447@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 547447@bugs.debian.org
Subject: Re: RM: boost1.38 -- ROM; Obsoleted by Boost 1.40
Date: Sun, 01 Nov 2009 13:44:00 -0500
tags 547447 + moreinfo

thank you

Still looks like several r(b)depends issues.  Obviously many of these
are just out of date..


Checking reverse dependencies...
# Broken Depends:
avogadro: libavogadro0 [alpha]
bfilter: bfilter [alpha amd64 armel hppa i386 ia64 mips mipsel powerpc
s390 sparc]
         bfilter-gui [alpha amd64 armel hppa i386 ia64 mips mipsel
powerpc s390 sparc]
cgal/non-free: libcgal-dev [ia64 mips mipsel powerpc]
dammit: dammit [alpha amd64 hppa i386 kfreebsd-amd64 kfreebsd-i386 mips
mipsel powerpc s390 sparc]
dvswitch: dvswitch [hppa s390]
esperanza: esperanza [alpha amd64 armel hppa i386 ia64 mips powerpc s390
sparc]
gnote: gnote [alpha amd64 armel hppa i386 ia64 mips powerpc s390]
miro: miro [alpha hppa]
mkvtoolnix: mkvtoolnix [s390 sparc]
            mkvtoolnix-gui [s390 sparc]
mrpt: mrpt-apps [hppa]
performous: performous [hppa]
            performous-tools [hppa]
pythonmagick: python-pythonmagick [hppa]
quantlib: libquantlib0-dev [hppa]
qutecom: qutecom [powerpc]
regina-normal: regina-normal [alpha amd64 armel hppa i386 ia64
kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc sparc]
schroot: dchroot [powerpc]
         dchroot-dsa [powerpc]
         schroot [powerpc]
sofa-framework: libsofa1 [kfreebsd-i386]
                sofa-apps [kfreebsd-i386]
twinkle: twinkle [hppa]
witty: witty [alpha armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386
mips mipsel powerpc s390 sparc]
xsd: xsdcxx [hppa]

# Broken Build-Depends:
cegui-mk2: libboost-regex1.38-dev
           libboost-signals1.38-dev

Dependency problem found.


Thanks,

Barry deFreese
Debian FTP Assistant




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#547447; Package ftp.debian.org. (Mon, 02 Nov 2009 10:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 02 Nov 2009 10:27:08 GMT) Full text and rfc822 format available.

Message #49 received at 547447@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: bdefreese@debian.org, 547447@bugs.debian.org
Subject: Re: Bug#547447: RM: boost1.38 -- ROM; Obsoleted by Boost 1.40
Date: Mon, 02 Nov 2009 11:11:52 +0100
Barry deFreese wrote:
> tags 547447 + moreinfo
> 
> thank you
> 
> Still looks like several r(b)depends issues.  Obviously many of these
> are just out of date..

Most of them are failures to build... anyway, I have looked at all of
them and took care of uploading some, giving back some...

> # Broken Build-Depends:
> cegui-mk2: libboost-regex1.38-dev
>            libboost-signals1.38-dev

... and highering the severity to serious for this one.

Cheers

Luk




Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 13 Nov 2009 02:51:10 GMT) Full text and rfc822 format available.

Notification sent to "Steve M. Robbins" <smr@debian.org>:
Bug acknowledged by developer. (Fri, 13 Nov 2009 02:51:10 GMT) Full text and rfc822 format available.

Message #54 received at 547447-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 547447-close@bugs.debian.org
Cc: boost1.38@packages.debian.org, boost1.38@packages.qa.debian.org
Subject: Bug#547447: Removed package(s) from unstable
Date: Fri, 13 Nov 2009 02:50:16 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 boost1.38 |   1.38.0-7 | source
libboost-date-time1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-date-time1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-filesystem1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-filesystem1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-graph1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-graph1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-iostreams1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-iostreams1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-math1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-math1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-mpi1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-mpi1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-program-options1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-program-options1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-python1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-python1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-regex1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-regex1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-serialization1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-serialization1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-signals1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-signals1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-system1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-system1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-test1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-test1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-thread1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-thread1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-wave1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost-wave1.38.0 | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost1.38-dbg | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost1.38-dev | 1.38.0-7+b1 | alpha, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libboost1.38-doc |   1.38.0-7 | all

------------------- Reason -------------------
ROM; Obsoleted by Boost 1.40
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547447@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/547447

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Barry deFreese (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Dec 2009 07:32:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:48:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.